# Uses of Class
org.bukkit.generator.ChunkGenerator

Packages that use ChunkGenerator
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.plugin
Classes specifically relating to loading software modules at runtime.
org.bukkit.plugin.java
Classes for handling `plugins` written in java.

## Uses of ChunkGenerator in org.bukkit

Methods in org.bukkit that return ChunkGenerator
Modifier and Type
Method
Description
`@Nullable ChunkGenerator`
WorldCreator.`generator()`
Gets the generator that will be used to create or load the world.
`@Nullable ChunkGenerator`
World.`getGenerator()`
Gets the chunk generator for this world
`static @Nullable ChunkGenerator`
WorldCreator.`getGeneratorForName(@NotNull String world, @Nullable String name, @Nullable CommandSender output)`
Attempts to get the `ChunkGenerator` with the given name.
Methods in org.bukkit with parameters of type ChunkGenerator
Modifier and Type
Method
Description
`@NotNull WorldCreator`
WorldCreator.`generator(@Nullable ChunkGenerator generator)`
Sets the generator that will be used to create or load the world.

## Uses of ChunkGenerator in org.bukkit.plugin

Methods in org.bukkit.plugin that return ChunkGenerator
Modifier and Type
Method
Description
`@Nullable ChunkGenerator`
Plugin.`getDefaultWorldGenerator(@NotNull String worldName, @Nullable String id)`
Gets a `ChunkGenerator` for use in a default world, as specified in the server configuration

## Uses of ChunkGenerator in org.bukkit.plugin.java

Methods in org.bukkit.plugin.java that return ChunkGenerator
Modifier and Type
Method
Description
`@Nullable ChunkGenerator`
JavaPlugin.`getDefaultWorldGenerator(@NotNull String worldName, @Nullable String id)`